import { GdsElement } from '../../gds-element';
import { GdsListItem } from './list-item.component';
export { GdsListItem };
/**
 * @element gds-grouped-list
 * @status stable
 *
 * Grouped lists are used to list many datapoints with labels in a structured way.
 */
export declare class GdsGroupedList extends GdsElement {
    /**
     * The label for the list that will render in the shadowDOM as the first <li> element in the list with the class `gds-list-heading`
     */
    label: string;
    connectedCallback(): void;
    render(): any;
}
