import {
  __decorateClass
} from "../../../chunks/chunk.QTSIPXV3.js";
import { property } from "lit/decorators.js";
import { when } from "lit/directives/when.js";
import { gdsCustomElement, html } from "../../../scoping.js";
import { GdsBlur } from "../../blur/blur.component.js";
import { GdsFormattedDate } from "../../formatted-text/date/formatted-date.component.js";
let GdsSensitiveDate = class extends GdsFormattedDate {
  constructor() {
    super(...arguments);
    this.hide = false;
  }
  render() {
    return when(
      this.hide,
      () => html`<gds-blur>${super.render()}</gds-blur>`,
      () => super.render()
    );
  }
};
__decorateClass([
  property({ type: Boolean })
], GdsSensitiveDate.prototype, "hide", 2);
GdsSensitiveDate = __decorateClass([
  gdsCustomElement("gds-sensitive-date", { dependsOn: [GdsBlur] })
], GdsSensitiveDate);
export {
  GdsSensitiveDate
};
