import "../../chunks/chunk.QTSIPXV3.js";
import { css } from "lit";
const styles = css`
  textarea {
    height: calc(1lh * var(--_lines));
    min-height: calc(1lh * 4);
    max-height: calc(1lh * 20);
    overflow: auto;
    min-width: 20ch;
    padding-inline-end: calc(var(--gds-space-xs) + var(--padding-inline-end));

    &.resize-manual {
      resize: vertical;
    }

    &.resize-auto {
      resize: none;
    }

    &.resize-false {
      resize: none;
    }
  }
`;
export {
  styles
};
