import { inspect } from "util";
import { parse, toCss, tokenize } from "./style-expression-parser.js";
const expression = "block; hover:flex; xl { focus:block; flex }";
const ast = parse(tokenize(expression));
const css = toCss(":host", "background", ast);
console.log(
  "AST",
  inspect(ast, { showHidden: false, depth: null, colors: true })
);
console.log(inspect(css, { showHidden: false, depth: null, colors: true }));
