import "../../../chunks/chunk.QTSIPXV3.js";
const numberFormats = {
  decimalsAndThousands: (value, locale, currency) => {
    const options = {
      maximumFractionDigits: 2,
      minimumFractionDigits: 2
    };
    if (currency) {
      return new Intl.NumberFormat(locale, {
        ...options,
        style: "currency",
        currency
      }).format(Number(value));
    }
    return new Intl.NumberFormat(locale, options).format(Number(value));
  }
};
export {
  numberFormats
};
