import {
  __decorateClass
} from "../../chunks/chunk.QTSIPXV3.js";
import { html } from "lit/static-html.js";
import { GdsElement } from "../../gds-element.js";
import { tokens } from "../../tokens.style.js";
import { styleExpressionProperty } from "../../utils/decorators/style-expression-property.js";
import { gdsCustomElement } from "../../utils/helpers/custom-element-scoping.js";
import SignalCSS from "./signal.style.js";
let GdsSignal = class extends GdsElement {
  render() {
    return html`<div part="signal"></div>`;
  }
};
GdsSignal.styles = [tokens, SignalCSS];
__decorateClass([
  styleExpressionProperty({
    valueTemplate: (v) => `var(--gds-color-${v})`,
    selector: '[part="signal"]'
  })
], GdsSignal.prototype, "color", 2);
GdsSignal = __decorateClass([
  gdsCustomElement("gds-signal")
], GdsSignal);
export {
  GdsSignal
};
