import { GdsElement } from '../../gds-element';
/**
 * @element gds-spacer
 * @status beta
 *
 * @deprecated Use `gds-div` with the `height` property instead.
 */
export declare class GdsSpacer extends GdsElement {
    static styles: import("lit").CSSResult[][];
    /**
     * Controls the size property of the spacer.
     * Supports all the space tokens from the design system.
     *
     * You can apply size like this:
     *
     * ```html
     * <gds-spacer size="2xl"></gds-spacer>
     * ```
     *
     * You can apply size in different breakpoints like this:
     *
     * ```html
     * <gds-spacer size="s{2xl} m{xl} l{2xl}"></gds-spacer>
     * ```
     *
     */
    size?: string;
    render(): any;
}
