import { getReactComponent } from "../../../../utils/react";
import { IconMaintenance as IconMaintenanceClass } from "../../../../components/icon/icons/maintenance.component";
export declare const IconMaintenance: (props: React.ComponentProps<ReturnType<typeof getReactComponent<IconMaintenanceClass>>>) => import("react").ReactElement<Omit<{
    size?: string | undefined;
    width?: number | undefined;
    height?: number | undefined;
    solid?: boolean | undefined;
    stroke?: number | undefined;
    box?: boolean | undefined;
    label?: string | undefined;
    render?: (() => import("lit-html").TemplateResult<1>) | undefined;
    margin?: string | undefined;
    'margin-inline'?: string | undefined;
    'margin-block'?: string | undefined;
    'align-self'?: string | undefined;
    'justify-self'?: string | undefined;
    'place-self'?: string | undefined;
    'grid-column'?: string | undefined;
    'grid-row'?: string | undefined;
    'grid-area'?: string | undefined;
    flex?: string | undefined;
    gdsElementName?: string | undefined;
    _isUsingTransitionalStyles?: boolean | undefined;
    _dynamicStylesController?: import("../../../../utils/controllers/dynamic-styles-controller").DynamicStylesController | undefined;
    connectedCallback?: (() => void) | undefined;
    disconnectedCallback?: (() => void) | undefined;
    readonly renderOptions?: import("lit-html").RenderOptions | undefined;
    readonly renderRoot?: HTMLElement | DocumentFragment | undefined;
    isUpdatePending?: boolean | undefined;
    hasUpdated?: boolean | undefined;
    addController?: ((controller: import("lit").ReactiveController) => void) | undefined;
    removeController?: ((controller: import("lit").ReactiveController) => void) | undefined;
    attributeChangedCallback?: ((name: string, _old: string | null, value: string | null) => void) | undefined;
    requestUpdate?: ((name?: PropertyKey | undefined, oldValue?: unknown, options?: import("lit").PropertyDeclaration<unknown, unknown> | undefined) => void) | undefined;
    readonly updateComplete?: Promise<boolean> | undefined;
    accessKey?: string | undefined;
    readonly accessKeyLabel?: string | undefined;
    autocapitalize?: string | undefined;
    dir?: string | undefined;
    draggable?: boolean | undefined;
    hidden?: boolean | undefined;
    inert?: boolean | undefined;
    innerText?: string | undefined;
    lang?: string | undefined;
    readonly offsetHeight?: number | undefined;
    readonly offsetLeft?: number | undefined;
    readonly offsetParent?: Element | null | undefined;
    readonly offsetTop?: number | undefined;
    readonly offsetWidth?: number | undefined;
    outerText?: string | undefined;
    popover?: string | null | undefined;
    spellcheck?: boolean | undefined;
    title?: string | undefined;
    translate?: boolean | undefined;
    attachInternals?: (() => ElementInternals) | undefined;
    click?: (() => void) | undefined;
    hidePopover?: (() => void) | undefined;
    showPopover?: (() => void) | undefined;
    togglePopover?: ((force?: boolean | undefined) => boolean) | undefined;
    addEventListener?: {
        <K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions | undefined): void;
        (type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions | undefined): void;
    } | undefined;
    removeEventListener?: {
        <K_1 extends keyof HTMLElementEventMap>(type: K_1, listener: (this: HTMLElement, ev: HTMLElementEventMap[K_1]) => any, options?: boolean | EventListenerOptions | undefined): void;
        (type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions | undefined): void;
    } | undefined;
    readonly attributes?: NamedNodeMap | undefined;
    readonly classList?: DOMTokenList | undefined;
    className?: string | undefined;
    readonly clientHeight?: number | undefined;
    readonly clientLeft?: number | undefined;
    readonly clientTop?: number | undefined;
    readonly clientWidth?: number | undefined;
    id?: string | undefined;
    readonly localName?: string | undefined;
    readonly namespaceURI?: string | null | undefined;
    onfullscreenchange?: ((this: Element, ev: Event) => any) | null | undefined;
    onfullscreenerror?: ((this: Element, ev: Event) => any) | null | undefined;
    outerHTML?: string | undefined;
    readonly ownerDocument?: Document | undefined;
    readonly part?: DOMTokenList | undefined;
    readonly prefix?: string | null | undefined;
    readonly scrollHeight?: number | undefined;
    scrollLeft?: number | undefined;
    scrollTop?: number | undefined;
    readonly scrollWidth?: number | undefined;
    readonly shadowRoot?: ShadowRoot | null | undefined;
    slot?: string | undefined;
    readonly tagName?: string | undefined;
    attachShadow?: ((init: ShadowRootInit) => ShadowRoot) | undefined;
    checkVisibility?: ((options?: CheckVisibilityOptions | undefined) => boolean) | undefined;
    closest?: {
        <K_2 extends keyof HTMLElementTagNameMap>(selector: K_2): HTMLElementTagNameMap[K_2] | null;
        <K_3 extends keyof SVGElementTagNameMap>(selector: K_3): SVGElementTagNameMap[K_3] | null;
        <K_4 extends keyof MathMLElementTagNameMap>(selector: K_4): MathMLElementTagNameMap[K_4] | null;
        <E extends Element = Element>(selectors: string): E | null;
    } | undefined;
    computedStyleMap?: (() => StylePropertyMapReadOnly) | undefined;
    getAttribute?: ((qualifiedName: string) => string | null) | undefined;
    getAttributeNS?: ((namespace: string | null, localName: string) => string | null) | undefined;
    getAttributeNames?: (() => string[]) | undefined;
    getAttributeNode?: ((qualifiedName: string) => Attr | null) | undefined;
    getAttributeNodeNS?: ((namespace: string | null, localName: string) => Attr | null) | undefined;
    getBoundingClientRect?: (() => DOMRect) | undefined;
    getClientRects?: (() => DOMRectList) | undefined;
    getElementsByClassName?: ((classNames: string) => HTMLCollectionOf<Element>) | undefined;
    getElementsByTagName?: {
        <K_5 extends keyof HTMLElementTagNameMap>(qualifiedName: K_5): HTMLCollectionOf<HTMLElementTagNameMap[K_5]>;
        <K_6 extends keyof SVGElementTagNameMap>(qualifiedName: K_6): HTMLCollectionOf<SVGElementTagNameMap[K_6]>;
        <K_7 extends keyof MathMLElementTagNameMap>(qualifiedName: K_7): HTMLCollectionOf<MathMLElementTagNameMap[K_7]>;
        <K_8 extends keyof HTMLElementDeprecatedTagNameMap>(qualifiedName: K_8): HTMLCollectionOf<HTMLElementDeprecatedTagNameMap[K_8]>;
        (qualifiedName: string): HTMLCollectionOf<Element>;
    } | undefined;
    getElementsByTagNameNS?: {
        (namespaceURI: "http://www.w3.org/1999/xhtml", localName: string): HTMLCollectionOf<HTMLElement>;
        (namespaceURI: "http://www.w3.org/2000/svg", localName: string): HTMLCollectionOf<SVGElement>;
        (namespaceURI: "http://www.w3.org/1998/Math/MathML", localName: string): HTMLCollectionOf<MathMLElement>;
        (namespace: string | null, localName: string): HTMLCollectionOf<Element>;
    } | undefined;
    hasAttribute?: ((qualifiedName: string) => boolean) | undefined;
    hasAttributeNS?: ((namespace: string | null, localName: string) => boolean) | undefined;
    hasAttributes?: (() => boolean) | undefined;
    hasPointerCapture?: ((pointerId: number) => boolean) | undefined;
    insertAdjacentElement?: ((where: InsertPosition, element: Element) => Element | null) | undefined;
    insertAdjacentHTML?: ((position: InsertPosition, text: string) => void) | undefined;
    insertAdjacentText?: ((where: InsertPosition, data: string) => void) | undefined;
    matches?: ((selectors: string) => boolean) | undefined;
    releasePointerCapture?: ((pointerId: number) => void) | undefined;
    removeAttribute?: ((qualifiedName: string) => void) | undefined;
    removeAttributeNS?: ((namespace: string | null, localName: string) => void) | undefined;
    removeAttributeNode?: ((attr: Attr) => Attr) | undefined;
    requestFullscreen?: ((options?: FullscreenOptions | undefined) => Promise<void>) | undefined;
    requestPointerLock?: (() => void) | undefined;
    scroll?: {
        (options?: ScrollToOptions | undefined): void;
        (x: number, y: number): void;
    } | undefined;
    scrollBy?: {
        (options?: ScrollToOptions | undefined): void;
        (x: number, y: number): void;
    } | undefined;
    scrollIntoView?: ((arg?: boolean | ScrollIntoViewOptions | undefined) => void) | undefined;
    scrollTo?: {
        (options?: ScrollToOptions | undefined): void;
        (x: number, y: number): void;
    } | undefined;
    setAttribute?: ((qualifiedName: string, value: string) => void) | undefined;
    setAttributeNS?: ((namespace: string | null, qualifiedName: string, value: string) => void) | undefined;
    setAttributeNode?: ((attr: Attr) => Attr | null) | undefined;
    setAttributeNodeNS?: ((attr: Attr) => Attr | null) | undefined;
    setPointerCapture?: ((pointerId: number) => void) | undefined;
    toggleAttribute?: ((qualifiedName: string, force?: boolean | undefined) => boolean) | undefined;
    webkitMatchesSelector?: ((selectors: string) => boolean) | undefined;
    readonly baseURI?: string | undefined;
    readonly childNodes?: NodeListOf<ChildNode> | undefined;
    readonly firstChild?: ChildNode | null | undefined;
    readonly isConnected?: boolean | undefined;
    readonly lastChild?: ChildNode | null | undefined;
    readonly nextSibling?: ChildNode | null | undefined;
    readonly nodeName?: string | undefined;
    readonly nodeType?: number | undefined;
    nodeValue?: string | null | undefined;
    readonly parentElement?: HTMLElement | null | undefined;
    readonly parentNode?: ParentNode | null | undefined;
    readonly previousSibling?: ChildNode | null | undefined;
    textContent?: string | null | undefined;
    appendChild?: (<T extends Node>(node: T) => T) | undefined;
    cloneNode?: ((deep?: boolean | undefined) => Node) | undefined;
    compareDocumentPosition?: ((other: Node) => number) | undefined;
    contains?: ((other: Node | null) => boolean) | undefined;
    getRootNode?: ((options?: GetRootNodeOptions | undefined) => Node) | undefined;
    hasChildNodes?: (() => boolean) | undefined;
    insertBefore?: (<T_1 extends Node>(node: T_1, child: Node | null) => T_1) | undefined;
    isDefaultNamespace?: ((namespace: string | null) => boolean) | undefined;
    isEqualNode?: ((otherNode: Node | null) => boolean) | undefined;
    isSameNode?: ((otherNode: Node | null) => boolean) | undefined;
    lookupNamespaceURI?: ((prefix: string | null) => string | null) | undefined;
    lookupPrefix?: ((namespace: string | null) => string | null) | undefined;
    normalize?: (() => void) | undefined;
    removeChild?: (<T_2 extends Node>(child: T_2) => T_2) | undefined;
    replaceChild?: (<T_3 extends Node>(node: Node, child: T_3) => T_3) | undefined;
    readonly ELEMENT_NODE?: 1 | undefined;
    readonly ATTRIBUTE_NODE?: 2 | undefined;
    readonly TEXT_NODE?: 3 | undefined;
    readonly CDATA_SECTION_NODE?: 4 | undefined;
    readonly ENTITY_REFERENCE_NODE?: 5 | undefined;
    readonly ENTITY_NODE?: 6 | undefined;
    readonly PROCESSING_INSTRUCTION_NODE?: 7 | undefined;
    readonly COMMENT_NODE?: 8 | undefined;
    readonly DOCUMENT_NODE?: 9 | undefined;
    readonly DOCUMENT_TYPE_NODE?: 10 | undefined;
    readonly DOCUMENT_FRAGMENT_NODE?: 11 | undefined;
    readonly NOTATION_NODE?: 12 | undefined;
    readonly DOCUMENT_POSITION_DISCONNECTED?: 1 | undefined;
    readonly DOCUMENT_POSITION_PRECEDING?: 2 | undefined;
    readonly DOCUMENT_POSITION_FOLLOWING?: 4 | undefined;
    readonly DOCUMENT_POSITION_CONTAINS?: 8 | undefined;
    readonly DOCUMENT_POSITION_CONTAINED_BY?: 16 | undefined;
    readonly DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC?: 32 | undefined;
    dispatchEvent?: ((event: Event) => boolean) | undefined;
    ariaAtomic?: string | null | undefined;
    ariaAutoComplete?: string | null | undefined;
    ariaBusy?: string | null | undefined;
    ariaChecked?: string | null | undefined;
    ariaColCount?: string | null | undefined;
    ariaColIndex?: string | null | undefined;
    ariaColSpan?: string | null | undefined;
    ariaCurrent?: string | null | undefined;
    ariaDescription?: string | null | undefined;
    ariaDisabled?: string | null | undefined;
    ariaExpanded?: string | null | undefined;
    ariaHasPopup?: string | null | undefined;
    ariaHidden?: string | null | undefined;
    ariaInvalid?: string | null | undefined;
    ariaKeyShortcuts?: string | null | undefined;
    ariaLabel?: string | null | undefined;
    ariaLevel?: string | null | undefined;
    ariaLive?: string | null | undefined;
    ariaModal?: string | null | undefined;
    ariaMultiLine?: string | null | undefined;
    ariaMultiSelectable?: string | null | undefined;
    ariaOrientation?: string | null | undefined;
    ariaPlaceholder?: string | null | undefined;
    ariaPosInSet?: string | null | undefined;
    ariaPressed?: string | null | undefined;
    ariaReadOnly?: string | null | undefined;
    ariaRequired?: string | null | undefined;
    ariaRoleDescription?: string | null | undefined;
    ariaRowCount?: string | null | undefined;
    ariaRowIndex?: string | null | undefined;
    ariaRowSpan?: string | null | undefined;
    ariaSelected?: string | null | undefined;
    ariaSetSize?: string | null | undefined;
    ariaSort?: string | null | undefined;
    ariaValueMax?: string | null | undefined;
    ariaValueMin?: string | null | undefined;
    ariaValueNow?: string | null | undefined;
    ariaValueText?: string | null | undefined;
    role?: string | null | undefined;
    animate?: ((keyframes: Keyframe[] | PropertyIndexedKeyframes | null, options?: number | KeyframeAnimationOptions | undefined) => Animation) | undefined;
    getAnimations?: ((options?: GetAnimationsOptions | undefined) => Animation[]) | undefined;
    after?: ((...nodes: (string | Node)[]) => void) | undefined;
    before?: ((...nodes: (string | Node)[]) => void) | undefined;
    remove?: (() => void) | undefined;
    replaceWith?: ((...nodes: (string | Node)[]) => void) | undefined;
    innerHTML?: string | undefined;
    readonly nextElementSibling?: Element | null | undefined;
    readonly previousElementSibling?: Element | null | undefined;
    readonly childElementCount?: number | undefined;
    readonly children?: HTMLCollection | undefined;
    readonly firstElementChild?: Element | null | undefined;
    readonly lastElementChild?: Element | null | undefined;
    append?: ((...nodes: (string | Node)[]) => void) | undefined;
    prepend?: ((...nodes: (string | Node)[]) => void) | undefined;
    querySelector?: {
        <K_9 extends keyof HTMLElementTagNameMap>(selectors: K_9): HTMLElementTagNameMap[K_9] | null;
        <K_10 extends keyof SVGElementTagNameMap>(selectors: K_10): SVGElementTagNameMap[K_10] | null;
        <K_11 extends keyof MathMLElementTagNameMap>(selectors: K_11): MathMLElementTagNameMap[K_11] | null;
        <K_12 extends keyof HTMLElementDeprecatedTagNameMap>(selectors: K_12): HTMLElementDeprecatedTagNameMap[K_12] | null;
        <E_1 extends Element = Element>(selectors: string): E_1 | null;
    } | undefined;
    querySelectorAll?: {
        <K_13 extends keyof HTMLElementTagNameMap>(selectors: K_13): NodeListOf<HTMLElementTagNameMap[K_13]>;
        <K_14 extends keyof SVGElementTagNameMap>(selectors: K_14): NodeListOf<SVGElementTagNameMap[K_14]>;
        <K_15 extends keyof MathMLElementTagNameMap>(selectors: K_15): NodeListOf<MathMLElementTagNameMap[K_15]>;
        <K_16 extends keyof HTMLElementDeprecatedTagNameMap>(selectors: K_16): NodeListOf<HTMLElementDeprecatedTagNameMap[K_16]>;
        <E_2 extends Element = Element>(selectors: string): NodeListOf<E_2>;
    } | undefined;
    replaceChildren?: ((...nodes: (string | Node)[]) => void) | undefined;
    readonly assignedSlot?: HTMLSlotElement | null | undefined;
    readonly attributeStyleMap?: StylePropertyMap | undefined;
    readonly style?: CSSStyleDeclaration | undefined;
    contentEditable?: string | undefined;
    enterKeyHint?: string | undefined;
    inputMode?: string | undefined;
    readonly isContentEditable?: boolean | undefined;
    onabort?: ((this: GlobalEventHandlers, ev: UIEvent) => any) | null | undefined;
    onanimationcancel?: ((this: GlobalEventHandlers, ev: AnimationEvent) => any) | null | undefined;
    onanimationend?: ((this: GlobalEventHandlers, ev: AnimationEvent) => any) | null | undefined;
    onanimationiteration?: ((this: GlobalEventHandlers, ev: AnimationEvent) => any) | null | undefined;
    onanimationstart?: ((this: GlobalEventHandlers, ev: AnimationEvent) => any) | null | undefined;
    onauxclick?: ((this: GlobalEventHandlers, ev: MouseEvent) => any) | null | undefined;
    onbeforeinput?: ((this: GlobalEventHandlers, ev: InputEvent) => any) | null | undefined;
    onbeforetoggle?: ((this: GlobalEventHandlers, ev: Event) => any) | null | undefined;
    onblur?: ((this: GlobalEventHandlers, ev: FocusEvent) => any) | null | undefined;
    oncancel?: ((this: GlobalEventHandlers, ev: Event) => any) | null | undefined;
    oncanplay?: ((this: GlobalEventHandlers, ev: Event) => any) | null | undefined;
    oncanplaythrough?: ((this: GlobalEventHandlers, ev: Event) => any) | null | undefined;
    onchange?: ((this: GlobalEventHandlers, ev: Event) => any) | null | undefined;
    onclick?: ((this: GlobalEventHandlers, ev: MouseEvent) => any) | null | undefined;
    onclose?: ((this: GlobalEventHandlers, ev: Event) => any) | null | undefined;
    oncontextmenu?: ((this: GlobalEventHandlers, ev: MouseEvent) => any) | null | undefined;
    oncopy?: ((this: GlobalEventHandlers, ev: ClipboardEvent) => any) | null | undefined;
    oncuechange?: ((this: GlobalEventHandlers, ev: Event) => any) | null | undefined;
    oncut?: ((this: GlobalEventHandlers, ev: ClipboardEvent) => any) | null | undefined;
    ondblclick?: ((this: GlobalEventHandlers, ev: MouseEvent) => any) | null | undefined;
    ondrag?: ((this: GlobalEventHandlers, ev: DragEvent) => any) | null | undefined;
    ondragend?: ((this: GlobalEventHandlers, ev: DragEvent) => any) | null | undefined;
    ondragenter?: ((this: GlobalEventHandlers, ev: DragEvent) => any) | null | undefined;
    ondragleave?: ((this: GlobalEventHandlers, ev: DragEvent) => any) | null | undefined;
    ondragover?: ((this: GlobalEventHandlers, ev: DragEvent) => any) | null | undefined;
    ondragstart?: ((this: GlobalEventHandlers, ev: DragEvent) => any) | null | undefined;
    ondrop?: ((this: GlobalEventHandlers, ev: DragEvent) => any) | null | undefined;
    ondurationchange?: ((this: GlobalEventHandlers, ev: Event) => any) | null | undefined;
    onemptied?: ((this: GlobalEventHandlers, ev: Event) => any) | null | undefined;
    onended?: ((this: GlobalEventHandlers, ev: Event) => any) | null | undefined;
    onerror?: OnErrorEventHandler | undefined;
    onfocus?: ((this: GlobalEventHandlers, ev: FocusEvent) => any) | null | undefined;
    onformdata?: ((this: GlobalEventHandlers, ev: FormDataEvent) => any) | null | undefined;
    ongotpointercapture?: ((this: GlobalEventHandlers, ev: PointerEvent) => any) | null | undefined;
    oninput?: ((this: GlobalEventHandlers, ev: Event) => any) | null | undefined;
    oninvalid?: ((this: GlobalEventHandlers, ev: Event) => any) | null | undefined;
    onkeydown?: ((this: GlobalEventHandlers, ev: KeyboardEvent) => any) | null | undefined;
    onkeypress?: ((this: GlobalEventHandlers, ev: KeyboardEvent) => any) | null | undefined;
    onkeyup?: ((this: GlobalEventHandlers, ev: KeyboardEvent) => any) | null | undefined;
    onload?: ((this: GlobalEventHandlers, ev: Event) => any) | null | undefined;
    onloadeddata?: ((this: GlobalEventHandlers, ev: Event) => any) | null | undefined;
    onloadedmetadata?: ((this: GlobalEventHandlers, ev: Event) => any) | null | undefined;
    onloadstart?: ((this: GlobalEventHandlers, ev: Event) => any) | null | undefined;
    onlostpointercapture?: ((this: GlobalEventHandlers, ev: PointerEvent) => any) | null | undefined;
    onmousedown?: ((this: GlobalEventHandlers, ev: MouseEvent) => any) | null | undefined;
    onmouseenter?: ((this: GlobalEventHandlers, ev: MouseEvent) => any) | null | undefined;
    onmouseleave?: ((this: GlobalEventHandlers, ev: MouseEvent) => any) | null | undefined;
    onmousemove?: ((this: GlobalEventHandlers, ev: MouseEvent) => any) | null | undefined;
    onmouseout?: ((this: GlobalEventHandlers, ev: MouseEvent) => any) | null | undefined;
    onmouseover?: ((this: GlobalEventHandlers, ev: MouseEvent) => any) | null | undefined;
    onmouseup?: ((this: GlobalEventHandlers, ev: MouseEvent) => any) | null | undefined;
    onpaste?: ((this: GlobalEventHandlers, ev: ClipboardEvent) => any) | null | undefined;
    onpause?: ((this: GlobalEventHandlers, ev: Event) => any) | null | undefined;
    onplay?: ((this: GlobalEventHandlers, ev: Event) => any) | null | undefined;
    onplaying?: ((this: GlobalEventHandlers, ev: Event) => any) | null | undefined;
    onpointercancel?: ((this: GlobalEventHandlers, ev: PointerEvent) => any) | null | undefined;
    onpointerdown?: ((this: GlobalEventHandlers, ev: PointerEvent) => any) | null | undefined;
    onpointerenter?: ((this: GlobalEventHandlers, ev: PointerEvent) => any) | null | undefined;
    onpointerleave?: ((this: GlobalEventHandlers, ev: PointerEvent) => any) | null | undefined;
    onpointermove?: ((this: GlobalEventHandlers, ev: PointerEvent) => any) | null | undefined;
    onpointerout?: ((this: GlobalEventHandlers, ev: PointerEvent) => any) | null | undefined;
    onpointerover?: ((this: GlobalEventHandlers, ev: PointerEvent) => any) | null | undefined;
    onpointerup?: ((this: GlobalEventHandlers, ev: PointerEvent) => any) | null | undefined;
    onprogress?: ((this: GlobalEventHandlers, ev: ProgressEvent<EventTarget>) => any) | null | undefined;
    onratechange?: ((this: GlobalEventHandlers, ev: Event) => any) | null | undefined;
    onreset?: ((this: GlobalEventHandlers, ev: Event) => any) | null | undefined;
    onresize?: ((this: GlobalEventHandlers, ev: UIEvent) => any) | null | undefined;
    onscroll?: ((this: GlobalEventHandlers, ev: Event) => any) | null | undefined;
    onscrollend?: ((this: GlobalEventHandlers, ev: Event) => any) | null | undefined;
    onsecuritypolicyviolation?: ((this: GlobalEventHandlers, ev: SecurityPolicyViolationEvent) => any) | null | undefined;
    onseeked?: ((this: GlobalEventHandlers, ev: Event) => any) | null | undefined;
    onseeking?: ((this: GlobalEventHandlers, ev: Event) => any) | null | undefined;
    onselect?: ((this: GlobalEventHandlers, ev: Event) => any) | null | undefined;
    onselectionchange?: ((this: GlobalEventHandlers, ev: Event) => any) | null | undefined;
    onselectstart?: ((this: GlobalEventHandlers, ev: Event) => any) | null | undefined;
    onslotchange?: ((this: GlobalEventHandlers, ev: Event) => any) | null | undefined;
    onstalled?: ((this: GlobalEventHandlers, ev: Event) => any) | null | undefined;
    onsubmit?: ((this: GlobalEventHandlers, ev: SubmitEvent) => any) | null | undefined;
    onsuspend?: ((this: GlobalEventHandlers, ev: Event) => any) | null | undefined;
    ontimeupdate?: ((this: GlobalEventHandlers, ev: Event) => any) | null | undefined;
    ontoggle?: ((this: GlobalEventHandlers, ev: Event) => any) | null | undefined;
    ontouchcancel?: ((this: GlobalEventHandlers, ev: TouchEvent) => any) | null | undefined;
    ontouchend?: ((this: GlobalEventHandlers, ev: TouchEvent) => any) | null | undefined;
    ontouchmove?: ((this: GlobalEventHandlers, ev: TouchEvent) => any) | null | undefined;
    ontouchstart?: ((this: GlobalEventHandlers, ev: TouchEvent) => any) | null | undefined;
    ontransitioncancel?: ((this: GlobalEventHandlers, ev: TransitionEvent) => any) | null | undefined;
    ontransitionend?: ((this: GlobalEventHandlers, ev: TransitionEvent) => any) | null | undefined;
    ontransitionrun?: ((this: GlobalEventHandlers, ev: TransitionEvent) => any) | null | undefined;
    ontransitionstart?: ((this: GlobalEventHandlers, ev: TransitionEvent) => any) | null | undefined;
    onvolumechange?: ((this: GlobalEventHandlers, ev: Event) => any) | null | undefined;
    onwaiting?: ((this: GlobalEventHandlers, ev: Event) => any) | null | undefined;
    onwebkitanimationend?: ((this: GlobalEventHandlers, ev: Event) => any) | null | undefined;
    onwebkitanimationiteration?: ((this: GlobalEventHandlers, ev: Event) => any) | null | undefined;
    onwebkitanimationstart?: ((this: GlobalEventHandlers, ev: Event) => any) | null | undefined;
    onwebkittransitionend?: ((this: GlobalEventHandlers, ev: Event) => any) | null | undefined;
    onwheel?: ((this: GlobalEventHandlers, ev: WheelEvent) => any) | null | undefined;
    autofocus?: boolean | undefined;
    readonly dataset?: DOMStringMap | undefined;
    nonce?: string | undefined;
    tabIndex?: number | undefined;
    blur?: (() => void) | undefined;
    focus?: ((options?: FocusOptions | undefined) => void) | undefined;
}, "children"> & {
    children?: import("react").ReactNode;
} & Omit<import("react").HTMLAttributes<HTMLElement>, "children"> & import("react").RefAttributes<HTMLElement>, string | import("react").JSXElementConstructor<any>>;
