import {
  __decorateClass
} from "../../chunks/chunk.QTSIPXV3.js";
import { html } from "lit";
import { GdsElement } from "../../gds-element.js";
import { gdsCustomElement } from "../../scoping.js";
import { TransitionalStyles } from "../../transitional-styles.js";
import style from "./menu-heading.styles.js";
let GdsMenuHeading = class extends GdsElement {
  connectedCallback() {
    super.connectedCallback();
    this.setAttribute("inert", "true");
    this.updateComplete.then(
      () => TransitionalStyles.instance.apply(this, "gds-menu-heading")
    );
  }
  render() {
    return html`<slot></slot>`;
  }
};
GdsMenuHeading.styles = style;
GdsMenuHeading = __decorateClass([
  gdsCustomElement("gds-menu-heading")
], GdsMenuHeading);
export {
  GdsMenuHeading
};
