import "../../chunks/chunk.QTSIPXV3.js";
class MixinBuilder {
  constructor(baseClass) {
    this.baseClass = baseClass;
  }
  with(mixin) {
    const MixedClass = mixin(this.baseClass);
    return new MixinBuilder(MixedClass);
  }
  and(mixin) {
    return this.with(mixin);
  }
  final() {
    return this.baseClass;
  }
}
function mix(BaseClass) {
  return new MixinBuilder(BaseClass);
}
export {
  mix
};
